using System;
using System.Data;
using MySql.Data.MySqlClient;
using MySql.Data.Types; 

/// <summary>
/// Summary description for TestADO5
/// </summary>
public class TestADO5
{
    public static void Main(string[] args)
    {
        MySqlConnection conn = new MySqlConnection( "server=localhost;user id=tis; password=tis; database=tis; pooling=false; charset=utf8" );
        conn.Open();
        MySqlCommand cmd = new MySqlCommand("INSERT INTO Osoby (login, jmeno,prijmeni) " +
											"VALUES (?login, ?jmeno, ?prijmeni)", conn);

		//zapis ?login - pojmenovani parametru na ktery se nasledne odkazuji
		// metoda Add je pretizena a ma nekolik variant.
        cmd.Parameters.Add("@login", MySqlDbType.VarChar, 8).Value = args[0];
        cmd.Parameters.Add("@jmeno", MySqlDbType.VarChar, 20).Value = args[1];
        cmd.Parameters.Add("@prijmeni", MySqlDbType.VarChar, 30).Value = args[2];
        cmd.ExecuteNonQuery();
        conn.Close();
    }
}
